%define upstream_name    Dumbbench
%define upstream_version 0.505

# SOOT support is optional
%bcond_with perl_Dumbbench_enables_SOOT

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Benchmarks a string of Perl code
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Carp)
BuildRequires: perl(Class::XSAccessor) >= 1.50.0
BuildRequires: perl(Devel::CheckOS)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Number::WithError) >= 1.0.0
BuildRequires: perl(Params::Util)
BuildRequires: perl(Statistics::CaseResampling) >= 0.60.0
BuildRequires: perl(Test::More) >= 1.0.0
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
This module attempts to implement reasonably robust benchmarking with
little extra effort and expertise required from the user. That is to say,
benchmarking using this module is likely an improvement over

  time some-command --to --benchmark

or

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml examples
%{_mandir}/man3/*
%perl_vendorlib/*
%{_bindir}/*
%if %{with perl_Dumbbench_enables_SOOT}
%else
%exclude %{perl_vendorlib}/Dumbbench/BoxPlot.pm
%endif

%changelog
* Fri Jan 24 2025 tv <tv> 0.505.0-1.mga10
+ Revision: 2141341
- update to 0.505

* Wed Jul 10 2024 tv <tv> 0.504.0-1.mga10
+ Revision: 2080566
- update to 0.504

* Fri Apr 22 2022 tv <tv> 0.503.0-1.mga9
+ Revision: 1852660
- update to 0.503

* Mon Mar 21 2022 umeabot <umeabot> 0.501.0-2.mga9
+ Revision: 1813927
- Mageia 9 Mass Rebuild

* Thu Feb 25 2021 tv <tv> 0.501.0-1.mga9
+ Revision: 1690198
- update to 0.501

* Wed Feb 12 2020 umeabot <umeabot> 0.111.0-4.mga8
+ Revision: 1504382
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.111.0-3.mga7
+ Revision: 1283607
- Mageia 7 Mass Rebuild

* Thu Jul 12 2018 tv <tv> 0.111.0-2.mga7
+ Revision: 1243289
- perl(SOOT) is not mandatory

* Thu Jul 12 2018 tv <tv> 0.111.0-1.mga7
+ Revision: 1243238
- imported package perl-Dumbbench

